package com.zd.airbottle.domain.vo;

import com.zd.airbottle.domain.QpBottleStorage;
import com.zd.airbottle.domain.QpBottleStorageOut;
import io.swagger.annotations.ApiModel;
import java.util.List;

/**
 * 气瓶出库对象 qp_bottle_storage_out
 *
 * @author zd
 * @date 2022-05-23
 */
@ApiModel("气瓶出库")
public class QpBottleStorageOutVO extends QpBottleStorageOut
{
    private static final long serialVersionUID = 1L;


    private List<QpTaskDetailVO> detailListVO;//清单详情VO
    private QpBottleStorage bottleStorage;//入库实体
    private QpTaskDetailVO taskDetailVO;//
    private Long taskId;//待办清单id
    private Long taskDetailId;//待办清单详情id
    private String campus;//校区
    private String building;//楼栋
    private String room;//房间号
    private String location;//实验地点
    private String startTime;//开始时间按
    private String endTime;//结束时间按
    private String airName;//气体名称
    private String parent;//气体级别
    private String specValue;//气体规格
    private String companyName;//气瓶商家
    private Long   companyId;//商家id
    private String airConstituents;//气体组分
    private String airNumber;//气瓶编号
    private String configName;//配置名称

    public List<QpTaskDetailVO> getDetailListVO() {        return detailListVO;    }
    public void setDetailListVO(List<QpTaskDetailVO> detailListVO) {        this.detailListVO = detailListVO;    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getCampus() {
        return campus;
    }

    public void setCampus(String campus) {
        this.campus = campus;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public QpBottleStorage getBottleStorage() {
        return bottleStorage;
    }

    public void setBottleStorage(QpBottleStorage bottleStorage) {
        this.bottleStorage = bottleStorage;
    }

    public QpTaskDetailVO getTaskDetailVO() {
        return taskDetailVO;
    }

    public void setTaskDetailVO(QpTaskDetailVO taskDetailVO) {
        this.taskDetailVO = taskDetailVO;
    }

    public String getLocation() {        return location;    }

    public void setLocation(String location) {        this.location = location;    }

    public String getStartTime() {        return startTime;    }

    public void setStartTime(String startTime) {        this.startTime = startTime;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }

    public String getAirName() {        return airName;    }

    public void setAirName(String airName) {        this.airName = airName;    }

    public String getParent() {        return parent;    }

    public void setParent(String parent) {        this.parent = parent;    }

    public String getSpecValue() {        return specValue;    }

    public void setSpecValue(String specValue) {        this.specValue = specValue;    }

    public String getCompanyName() {        return companyName;    }

    public void setCompanyName(String companyName) {        this.companyName = companyName;    }

    public String getAirConstituents() {        return airConstituents;    }

    public void setAirConstituents(String airConstituents) {        this.airConstituents = airConstituents;    }

    public String getAirNumber() {        return airNumber;    }

    public void setAirNumber(String airNumber) {        this.airNumber = airNumber;    }

    public Long getCompanyId() {        return companyId;    }

    public void setCompanyId(Long companyId) {        this.companyId = companyId;    }

    public Long getTaskDetailId() {        return taskDetailId;    }

    public void setTaskDetailId(Long taskDetailId) {        this.taskDetailId = taskDetailId;    }

    public String getConfigName() {        return configName;    }

    public void setConfigName(String configName) {        this.configName = configName;    }
}
